Module java.base
Package java.util.jar

## Class Attributes.Name

- java.lang.Object
- - java.util.jar.Attributes.Name

Enclosing class:
  Attributes

    public static class Attributes.Name
    extends Object

The Attributes.Name class represents an attribute name stored in this Map. Valid attribute names are case-insensitive, are restricted to the ASCII characters in the set [0-9a-zA-Z_-], and cannot exceed 70 characters in length. Attribute values can contain any characters and will be UTF8-encoded when written to the output stream. See the JAR File Specification for more information about valid attribute names and values.

### Field Summary

Fields
`static Attributes.Name` `CLASS_PATH` `Name` object for `Class-Path` manifest attribute.
`static Attributes.Name` `CONTENT_TYPE` `Name` object for `Content-Type` manifest attribute.
`static Attributes.Name` `EXTENSION_INSTALLATION` Deprecated. Extension mechanism is no longer supported.
`static Attributes.Name` `EXTENSION_LIST` `Name` object for `Extension-List` manifest attribute used for the extension mechanism that is no longer supported.
`static Attributes.Name` `EXTENSION_NAME` `Name` object for `Extension-Name` manifest attribute.
`static Attributes.Name` `IMPLEMENTATION_TITLE` `Name` object for `Implementation-Title` manifest attribute used for package versioning.
`static Attributes.Name` `IMPLEMENTATION_URL` Deprecated. Extension mechanism is no longer supported.
`static Attributes.Name` `IMPLEMENTATION_VENDOR` `Name` object for `Implementation-Vendor` manifest attribute used for package versioning.
`static Attributes.Name` `IMPLEMENTATION_VENDOR_ID` Deprecated. Extension mechanism is no longer supported.
`static Attributes.Name` `IMPLEMENTATION_VERSION` `Name` object for `Implementation-Version` manifest attribute used for package versioning.
`static Attributes.Name` `MAIN_CLASS` `Name` object for `Main-Class` manifest attribute used for launching applications packaged in JAR files.
`static Attributes.Name` `MANIFEST_VERSION` `Name` object for `Manifest-Version` manifest attribute.
`static Attributes.Name` `MULTI_RELEASE` `Name` object for `Multi-Release` manifest attribute that indicates this is a multi-release JAR file.
`static Attributes.Name` `SEALED` `Name` object for `Sealed` manifest attribute used for sealing.
`static Attributes.Name` `SIGNATURE_VERSION` `Name` object for `Signature-Version` manifest attribute used when signing JAR files.
`static Attributes.Name` `SPECIFICATION_TITLE` `Name` object for `Specification-Title` manifest attribute used for package versioning.
`static Attributes.Name` `SPECIFICATION_VENDOR` `Name` object for `Specification-Vendor` manifest attribute used for package versioning.
`static Attributes.Name` `SPECIFICATION_VERSION` `Name` object for `Specification-Version` manifest attribute used for package versioning.

### Constructor Summary

Constructors
Constructor and Description
`Name(String name)` Constructs a new attribute name using the given string name.

### Method Summary

All Methods Instance Methods Concrete Methods
`boolean` `equals(Object o)` Compares this attribute name to another for equality.
`int` `hashCode()` Computes the hash value for this attribute name.
`String` `toString()` Returns the attribute name as a String.

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### CLASS_PATH

    public static final Attributes.Name CLASS_PATH

`Name` object for `Class-Path` manifest attribute.

See Also:
  JAR file specification

#### CONTENT_TYPE

    public static final Attributes.Name CONTENT_TYPE

`Name` object for `Content-Type` manifest attribute.

#### EXTENSION_INSTALLATION

    @Deprecated
    public static final Attributes.Name EXTENSION_INSTALLATION

Deprecated. Extension mechanism is no longer supported.
`Name` object for `Extension-Installation` manifest attribute.

#### EXTENSION_LIST

    public static final Attributes.Name EXTENSION_LIST

`Name` object for `Extension-List` manifest attribute used for the extension mechanism that is no longer supported.

#### EXTENSION_NAME

    public static final Attributes.Name EXTENSION_NAME

`Name` object for `Extension-Name` manifest attribute. used for the extension mechanism that is no longer supported.

#### IMPLEMENTATION_TITLE

    public static final Attributes.Name IMPLEMENTATION_TITLE

`Name` object for `Implementation-Title` manifest attribute used for package versioning.

#### IMPLEMENTATION_URL

    @Deprecated
    public static final Attributes.Name IMPLEMENTATION_URL

Deprecated. Extension mechanism is no longer supported.
`Name` object for `Implementation-URL` manifest attribute.

#### IMPLEMENTATION_VENDOR

    public static final Attributes.Name IMPLEMENTATION_VENDOR

`Name` object for `Implementation-Vendor` manifest attribute used for package versioning.

#### IMPLEMENTATION_VENDOR_ID

    @Deprecated
    public static final Attributes.Name IMPLEMENTATION_VENDOR_ID

Deprecated. Extension mechanism is no longer supported.
`Name` object for `Implementation-Vendor-Id` manifest attribute.

#### IMPLEMENTATION_VERSION

    public static final Attributes.Name IMPLEMENTATION_VERSION

`Name` object for `Implementation-Version` manifest attribute used for package versioning.

#### MAIN_CLASS

    public static final Attributes.Name MAIN_CLASS

`Name` object for `Main-Class` manifest attribute used for launching applications packaged in JAR files. The `Main-Class` attribute is used in conjunction with the `-jar` command-line option of the `java` application launcher.

#### MANIFEST_VERSION

    public static final Attributes.Name MANIFEST_VERSION

`Name` object for `Manifest-Version` manifest attribute. This attribute indicates the version number of the manifest standard to which a JAR file's manifest conforms.

See Also:
  Manifest and Signature Specification

#### MULTI_RELEASE

    public static final Attributes.Name MULTI_RELEASE

`Name` object for `Multi-Release` manifest attribute that indicates this is a multi-release JAR file.

Since:
  9

#### SEALED

    public static final Attributes.Name SEALED

`Name` object for `Sealed` manifest attribute used for sealing.

See Also:
  Package Sealing

#### SIGNATURE_VERSION

    public static final Attributes.Name SIGNATURE_VERSION

`Name` object for `Signature-Version` manifest attribute used when signing JAR files.

See Also:
  Manifest and Signature Specification

#### SPECIFICATION_TITLE

    public static final Attributes.Name SPECIFICATION_TITLE

`Name` object for `Specification-Title` manifest attribute used for package versioning.

#### SPECIFICATION_VENDOR

    public static final Attributes.Name SPECIFICATION_VENDOR

`Name` object for `Specification-Vendor` manifest attribute used for package versioning.

#### SPECIFICATION_VERSION

    public static final Attributes.Name SPECIFICATION_VERSION

`Name` object for `Specification-Version` manifest attribute used for package versioning.

### Constructor Detail

#### Name

    public Name(String name)

Constructs a new attribute name using the given string name.

Parameters:
  `name` - the attribute string name
Throws:
  `IllegalArgumentException` - if the attribute name was invalid
  `NullPointerException` - if the attribute name was null

### Method Detail

#### equals

    public boolean equals(Object o)

Compares this attribute name to another for equality.

Overrides:
  `equals` in class `Object`
Parameters:
  `o` - the object to compare
Returns:
  true if this attribute name is equal to the specified attribute object
See Also:
  `Object.hashCode()`, `HashMap`

#### hashCode

    public int hashCode()

Computes the hash value for this attribute name.

Overrides:
  `hashCode` in class `Object`
Returns:
  a hash code value for this object.
See Also:
  `Object.equals(java.lang.Object)`, `System.identityHashCode(java.lang.Object)`

#### toString

    public String toString()

Returns the attribute name as a String.

Overrides:
  `toString` in class `Object`
Returns:
  a string representation of the object.